SequenceStats (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je

## Class SequenceStats

- java.lang.Object
- - com.sleepycat.je.SequenceStats

- All Implemented Interfaces:
    Serializable

      public class SequenceStats
      extends Object
      implements Serializable

  A SequenceStats object is used to return sequence statistics.
  See Also:
    Serialized Form

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCacheSize()` Returns the number of values that will be cached in this handle.
    `long` | `getCurrent()` Returns the current value of the sequence in the database.
    `long` | `getLastValue()` Returns the last cached value of the sequence.
    `long` | `getMax()` Returns the maximum permitted value of the sequence.
    `long` | `getMin()` Returns the minimum permitted value of the sequence.
    `int` | `getNCachedGets()` Returns the number of times that Sequence.get was called and a cached value was returned.
    `int` | `getNGets()` Returns the number of times that Sequence.get was called successfully.
    `long` | `getValue()` Returns the current cached value of the sequence.
    `String` | `toString()`
    `String` | `toStringVerbose()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getNGets

          public int getNGets()

      Returns the number of times that Sequence.get was called successfully.
      Returns:
        number of times that Sequence.get was called successfully.

    - #### getNCachedGets

          public int getNCachedGets()

      Returns the number of times that Sequence.get was called and a cached value was returned.
      Returns:
        number of times that Sequence.get was called and a cached value was returned.

    - #### getCurrent

          public long getCurrent()

      Returns the current value of the sequence in the database.
      Returns:
        current value of the sequence in the database.

    - #### getValue

          public long getValue()

      Returns the current cached value of the sequence.
      Returns:
        current cached value of the sequence.

    - #### getLastValue

          public long getLastValue()

      Returns the last cached value of the sequence.
      Returns:
        last cached value of the sequence.

    - #### getMin

          public long getMin()

      Returns the minimum permitted value of the sequence.
      Returns:
        minimum permitted value of the sequence.

    - #### getMax

          public long getMax()

      Returns the maximum permitted value of the sequence.
      Returns:
        maximum permitted value of the sequence.

    - #### getCacheSize

          public int getCacheSize()

      Returns the number of values that will be cached in this handle.
      Returns:
        number of values that will be cached in this handle.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toStringVerbose

          public String toStringVerbose()

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.